using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：参与部门
    /// </summary>
    [Description("导航：参与部门")]
    public class T_SE_TRAIN_SURVEY_LIST_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("调查ID")]
        [DataFieldForeignKey("Nav_Survey", "Nav_JoinDepartment")]
        public Guid SURVEY_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_SE_TRAIN_SURVEY Nav_Survey { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Department")]
        public Guid DEPARTMENT_ID { get; set; }
        /// <summary>
        /// 导航: 部门
        /// </summary>
        [Description("导航: 部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
